Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236712 - yum-kernel-module breaks yum
Summary: yum-kernel-module breaks yum
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: yum-utils
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-17 08:53 UTC by Valent Turkovic
Modified: 2014-01-21 22:57 UTC (History)
1 user (show)

Fixed In Version: 1.1.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-20 06:49:26 UTC


Attachments (Terms of Use)

Description Valent Turkovic 2007-04-17 08:53:29 UTC
Description of problem:
after installing yum-kernel-modules yum breaks and stops working.

Version-Release number of selected component (if applicable):
latest for fedora7

How reproducible:
every time

Steps to Reproduce:
1. install yum plugin yum-kernel-module
2. yum update
3.
  
Actual results:
# yum upgrade
Loading "skip-broken" plugin
Loading "refresh-updatesd" plugin
Loading "installonlyn" plugin
Loading "kernel-module" plugin
Loading "fastestmirror" plugin
Loading mirror speeds from cached hostfile
Setting up Upgrade Process
Resolving Dependencies
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 135, in main
    (result, resultmsgs) = base.buildTransaction() 
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 543, in
buildTransaction
    self.plugins.run('preresolve')
  File "/usr/lib/python2.5/site-packages/yum/plugins.py", line 162, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/kernel-module.py", line 60, in preresolve_hook
    instpkgs = conduit.getRpmDB().getPackages()
AttributeError: 'RPMDBPackageSack' object has no attribute 'getPackages'


Expected results:
yum to work

Additional info:

Comment 1 Valent Turkovic 2007-04-17 08:55:03 UTC
after 'rpm -e yum-kernel-module' yum works ok.

here is the copy/paste:

# yum upgrade
Loading "skip-broken" plugin
Loading "refresh-updatesd" plugin
Loading "installonlyn" plugin
Loading "fastestmirror" plugin
Loading mirror speeds from cached hostfile
Setting up Upgrade Process
primary.sqlite.bz2        100% |=========================| 2.2 MB    00:05     
Resolving Dependencies
--> Running transaction check
Checking deps for portmap.i386 0-4.0-65.3 - None
---> Package rpcbind.i386 0:0.1.4-4.fc7 set to be updated
Checking deps for rpcbind.i386 0-0.1.4-4.fc7 - u
Checking deps for rpcbind.i386 0-0.1.4-2.fc7 - None
--> Processing Dependency: portmap >= 4.0 for package: nfs-utils
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 rpcbind                 i386       0.1.4-4.fc7      development        45 k
     replacing  portmap.i386 4.0-65.3


Transaction Summary
=============================================================================
Install      1 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total download size: 45 k
Is this ok [y/N]: 



Comment 2 Tim Lauridsen 2007-04-20 06:49:26 UTC
This issue is fixed in yum-utils-1.1.2 currently in Extras Development


Note You need to log in before you can comment on or make changes to this bug.